<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\Events;

use Dedi\SyliusMarketingPlugin\JsonSerializeTrait;

class EarnVirtualCurrency implements \JsonSerializable, EventInterface
{
    use JsonSerializeTrait;

    private ?string $virtual_currency_name = null;
    private ?float $value = null;

    public function getName(): string
    {
        return 'earn_virtual_currency';
    }

    public function setVirtualCurrencyName(?string $virtual_currency_name): self
    {
        $this->virtual_currency_name = $virtual_currency_name;

        return $this;
    }

    public function setValue(?float $value): self
    {
        $this->value = $value;

        return $this;
    }
}
